> For the complete documentation index, see [llms.txt](https://docs.novarpc.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.novarpc.xyz/rpc-api-specification/eth_gettransactioncount.md).

# eth\_getTransactionCount

## POST /

> \
> Returns the number of transactions sent from a given address (account nonce).\
> \
> If the block tag is set to 'pending', then the RPC will intercept the call and return the highest nonce it has received.\
> \
> Note: the block tags 'safe' and 'finalized' are only availible on Ethereum mainnet.<br>

```json
{"openapi":"3.1.0","info":{"title":"api-docs","version":"0.1.0"},"servers":[{"url":"https://eth.novarpc.xyz","description":"Mainnet"},{"url":"https://base.novarpc.xyz","description":"Base"}],"paths":{"/":{"post":{"tags":["RPC"],"description":"\nReturns the number of transactions sent from a given address (account nonce).\n\nIf the block tag is set to 'pending', then the RPC will intercept the call and return the highest nonce it has received.\n\nNote: the block tags 'safe' and 'finalized' are only availible on Ethereum mainnet.\n","operationId":"eth_getTransactionCount","parameters":[{"name":"api_key","in":"query","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EthGetTransactionCount"}}},"required":true},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderHash"}}}}}}}},"components":{"schemas":{"EthGetTransactionCount":{"type":"object","required":["address","block"],"properties":{"address":{"$ref":"#/components/schemas/Address","description":"The address of the account to get the transaction count for"},"block":{"$ref":"#/components/schemas/Block","description":"A block number as a hexadecimal string, or a block tag."}}},"Address":{"type":"string","pattern":"^0x[a-fA-F0-9]{40}$"},"Block":{"oneOf":[{"type":"object","required":["BlockHeight"],"properties":{"BlockHeight":{"$ref":"#/components/schemas/BlockHeight"}}},{"type":"object","required":["BlockTag"],"properties":{"BlockTag":{"$ref":"#/components/schemas/BlockTag"}}},{"type":"object","required":["BlockHash"],"properties":{"BlockHash":{"$ref":"#/components/schemas/BlockHash"}}}]},"BlockHeight":{"type":"string","pattern":"^0x([1-9a-f]+[0-9a-f]*|0)$"},"BlockTag":{"type":"string","enum":["latest","pending","earliest","finalized","safe"]},"BlockHash":{"type":"string","pattern":"^0x[a-fA-F0-9]{64}$"},"OrderHash":{"type":"string","pattern":"^0x[a-fA-F0-9]{64}$"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.novarpc.xyz/rpc-api-specification/eth_gettransactioncount.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
